how to looking for the apache struts with the confluence?

my confluence version is 6.3.3 and i see the apache struts 2.3.32 have a bug with

Remote code execution and i don't know how to looking for my confluence apache struts version and how to update the struts ?

anybody to say how to looking for the apache struts in the confluence ?

and how to update the struts ?

my confluence environment is Centos 7

 thanks

1 answer

0 votes

Hi Kevin,

It appears that Confluence is not affected by this issue since it uses webwork 2, which predates Struts 2:

I hope this helps. Let us know if you have any questions.

Kind Regards,
Shannon

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Dec 18, 2018 in Confluence Cloud

Happy holidays from our team to yours!

Hi Community!  2018 was filled with changes for our team, both big and small, and we've taken a lot of time to both celebrate our wins and recognize areas of improvement. One thing that we're a...

475 views 3 18
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you